Users

Members within the workspace. Learn more about user management herearrow-up-right.

List Users

get
/api/v1/user

Get a list of users.

Authorizations
Responses
chevron-right
200

List of users.

application/json
get
/api/v1/user

Create User

post
/api/v1/user

Create a new user in the workspace.

Authorizations
Body
first_namestringOptional

Indicates the first name of the user.

Example: Sample
last_namestringOptional

Indicates the last name of the user.

Example: User
emailstringOptional

Indicates the email id of the user.

Example: [email protected]
rolestringOptional

Indicates the role of the user. Values can be - Admin Editor Viewer Guest

Example: editor
teamsstring[]Optional

List of team IDs (optional). It is mandatory if the role is guest.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
user_groupsstring[]Optional

List of group IDs (optional)

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
post
/api/v1/user

Get User

get
/api/v1/user/{id}

Get a user by their ID.

Authorizations
Path parameters
idstringRequired

The ID of the user to retrieve.

Example: 3131f219-16bb-4c95-853a-894ae12db42a
Responses
chevron-right
200

OK

application/json
idstringOptional

Indicates the UUID of the user.

Example: 3131f219-16bb-4c95-853a-894ae12db42a
first_namestringOptional

Indicates the first name of the user.

Example: Sample
last_namestringOptional

Indicates the last name of the user.

Example: User
emailstringOptional

Indicates the email id of the user.

Example: [email protected]
rolestringOptional

Indicates the role of the user. Values can be - Admin Editor Viewer

Example: editor
workspace_idstringOptional

Indicates the workspace ID of the user.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
profile_picturestringOptional

Indicates the file name of the profile picture for the user.

Example: image.jpg
pendingbooleanOptional

Represents if the user has been invited to the space but not accepted yet. Values can be - "True" "False"

Example: False
user_groupsstring[]Optional

A list of UUIDs of groups the user belongs to.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
bookmarksstring[]Optional

Represents the resorces that the user has bookmarked.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
workspacestringOptional

Indicates the workspace of the user.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
is_service_accountbooleanOptional

Indicates if the user account is a service account or not. Values can be - True False

Example: false
service_account_count_popularitybooleanOptional

Indicates if the account counts towards popularity calculations. Values can be - True False

Example: true
last_loginstring · date-timeOptional

Indicates the last time account was logged in to Secoda in UTC format.

Example: None
new_feature_acknowledgedbooleanOptional

Indicates if the new feature has been acknowleged or not. Values can be - True False

Example: true
disabledbooleanOptional

Represents if the account is disabled or not. Values can be - True False

Example: false
get
/api/v1/user/{id}

Delete User

delete
/api/v1/user/{id}

Delete a user by their ID.

Authorizations
Path parameters
idstringRequired

The ID of the user to delete.

Example: 3131f219-16bb-4c95-853a-894ae12db42a
Responses
delete
/api/v1/user/{id}

No content

Update User

patch
/api/v1/user/{id}

Use this endpoint to update the user. Editable fields include the first name, last name, and role.

Authorizations
Path parameters
idstringRequired

The ID of the user to update.

Example: 3131f219-16bb-4c95-853a-894ae12db42a
Body
first_namestringOptional

Indicates the first name of the user.

Example: Sample
last_namestringOptional

Indicates the last name of the user.

Example: User
Responses
chevron-right
200

User updated successfully

application/json
idstringOptional

Indicates the UUID of the user.

Example: 3131f219-16bb-4c95-853a-894ae12db42a
first_namestringOptional

Indicates the first name of the user.

Example: Sample
last_namestringOptional

Indicates the last name of the user.

Example: User
emailstringOptional

Indicates the email id of the user.

Example: [email protected]
rolestringOptional

Indicates the role of the user. Values can be - Admin Editor Viewer

Example: editor
workspace_idstringOptional

Indicates the workspace ID of the user.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
profile_picturestringOptional

Indicates the file name of the profile picture for the user.

Example: image.jpg
pendingbooleanOptional

Represents if the user has been invited to the space but not accepted yet. Values can be - "True" "False"

Example: False
user_groupsstring[]Optional

A list of UUIDs of groups the user belongs to.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
bookmarksstring[]Optional

Represents the resorces that the user has bookmarked.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
workspacestringOptional

Indicates the workspace of the user.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
is_service_accountbooleanOptional

Indicates if the user account is a service account or not. Values can be - True False

Example: false
service_account_count_popularitybooleanOptional

Indicates if the account counts towards popularity calculations. Values can be - True False

Example: true
last_loginstring · date-timeOptional

Indicates the last time account was logged in to Secoda in UTC format.

Example: None
new_feature_acknowledgedbooleanOptional

Indicates if the new feature has been acknowleged or not. Values can be - True False

Example: true
disabledbooleanOptional

Represents if the account is disabled or not. Values can be - True False

Example: false
patch
/api/v1/user/{id}

Last updated

Was this helpful?